package com.logicbig.example;

import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@Controller
@RequestMapping("super-user.xml")
public class SuperUserController {
    
    @RequestMapping
    @ResponseBody
    public User getUserById (@RequestParam("id") long userId) {
        User user = new User();
        user.setId(userId);
        user.setName("tim");
        user.setEmailAddress("tim@example.com");
        return user;
    }
}