package com.logicbig.example;

import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@Controller
@RequestMapping("user")
public class UserController {
    
    @RequestMapping(produces = MediaType.APPLICATION_XML_VALUE)
    @ResponseBody
    public User getUserById (@RequestParam("id") long userId) {
        //creating dummy user
        User user = new User();
        user.setId(userId);
        user.setName("joe");
        user.setEmailAddress("joe@example.com");
        return user;
    }
    
    @RequestMapping
    @ResponseBody
    public String getUserStringById (@RequestParam("id") long userId) {
        return "joe, id: "+userId;
    }
}